png++ 0.2.10

Public Member Functions | Public Attributes | List of all members
png::basic_rgb_pixel< T > Struct Template Reference

RGB pixel type. More...

`#include <rgb_pixel.hpp>`

## Public Member Functions
| basic_rgb_pixel ()
| Default constructor. Initializes all components with zeros.
| basic_rgb_pixel (T red, T green, T blue)
| Constructs rgb_pixel object from red, green and blue components passed as parameters.

## Public Attributes
T | red
T | green
T | blue

## Detailed Description

template<typename T>
struct png::basic_rgb_pixel< T >

RGB pixel type.

## Constructor & Destructor Documentation

## ◆ basic_rgb_pixel() [1/2]

template<typename T>

png::basic_rgb_pixel< T >::basic_rgb_pixel | ( |  | ) |
| inline

Default constructor. Initializes all components with zeros.

## ◆ basic_rgb_pixel() [2/2]

template<typename T>

png::basic_rgb_pixel< T >::basic_rgb_pixel | ( | T | red,
|  | T | green,
|  | T | blue )
| inline

Constructs rgb_pixel object from red, green and blue components passed as parameters.

## Member Data Documentation

## ◆ red

template<typename T>

T png::basic_rgb_pixel< T >::red

## ◆ green

template<typename T>

T png::basic_rgb_pixel< T >::green

## ◆ blue

template<typename T>

T png::basic_rgb_pixel< T >::blue

The documentation for this struct was generated from the following file:

- rgb_pixel.hpp